using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebAPIBase.NetCore.BusinessCore
{
    public class FdcFunction
    {
        private string _FunctionStructureCode;

        private string _FunctionStructureName;

        private string _ParentCode;

        private int _Deep;

        private int _IsSystemClass;

        private int rightLimitPoint;

        public bool UnitRelated;

        public bool SystemGroupRelated;

        public string FunctionStructureCode
        {
            get
            {
                return _FunctionStructureCode;
            }
            set
            {
                _FunctionStructureCode = value;
            }
        }

        public string FunctionStructureName
        {
            get
            {
                return _FunctionStructureName;
            }
            set
            {
                _FunctionStructureName = value;
            }
        }

        public string ParentCode
        {
            get
            {
                return _ParentCode;
            }
            set
            {
                _ParentCode = value;
            }
        }

        public int Deep
        {
            get
            {
                return _Deep;
            }
            set
            {
                _Deep = value;
            }
        }

        public int IsSystemClass
        {
            get
            {
                return _IsSystemClass;
            }
            set
            {
                _IsSystemClass = value;
            }
        }

        public int RightLimitPoint
        {
            get
            {
                return rightLimitPoint;
            }
            set
            {
                rightLimitPoint = value;
                switch (rightLimitPoint)
                {
                    case 0:
                        UnitRelated = false;
                        SystemGroupRelated = false;
                        break;
                    case 1:
                        UnitRelated = true;
                        SystemGroupRelated = false;
                        break;
                    case 2:
                        UnitRelated = false;
                        SystemGroupRelated = true;
                        break;
                    case 3:
                        UnitRelated = true;
                        SystemGroupRelated = true;
                        break;
                    default:
                        UnitRelated = true;
                        SystemGroupRelated = true;
                        break;
                }
            }
        }
    }
}
